Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.ats.arjuna.logging
Class FacilityCode

    java.lang.Object
      com.arjuna.common.util.logging.FacilityCode
          com.arjuna.ats.arjuna.logging.FacilityCode

public class FacilityCode
extends com.arjuna.common.util.logging.FacilityCode

The various levels of facility codes that are available. Typically one for each major component in the system.

- FAC_ATOMIC_ACTION = 0x0000001 (atomic action core module).
- FAC_BUFFER_MAN = 0x00000004 (state management (buffer) classes).
- FAC_ABSTRACT_REC = 0x00000008 (abstract records).
- FAC_OBJECT_STORE = 0x00000010 (object store implementations).
- FAC_STATE_MAN = 0x00000020 (state management and StateManager).
- FAC_SHMEM = 0x00000040 (shared memory implementation classes).
- FAC_GENERAL = 0x00000080 (general classes).
- FAC_CRASH_RECOVERY = 0x00000800 (detailed trace of crash recovery module and classes).
- FAC_THREADING = 0x00002000 (threading classes).
- FAC_JDBC = 0x00008000 (JDBC 1.0 and 2.0 support).
- FAC_RECOVERY_NORMAL = 0x00040000 (normal output for crash recovery manager).

Field Summary
`static long` | `FAC_ABSTRACT_REC`
`static long` | `FAC_ATOMIC_ACTION`
`static long` | `FAC_BUFFER_MAN`
`static long` | `FAC_CRASH_RECOVERY`
`static long` | `FAC_GENERAL`
`static long` | `FAC_JDBC`
`static long` | `FAC_OBJECT_STORE`
`static long` | `FAC_RECOVERY_NORMAL`
`static long` | `FAC_RESERVED1`
`static long` | `FAC_RESERVED2`
`static long` | `FAC_RESERVED3`
`static long` | `FAC_RESERVED4`
`static long` | `FAC_SHMEM`
`static long` | `FAC_STATE_MAN`
`static long` | `FAC_THREADING`
`static long` | `FAC_USER1`
`static long` | `FAC_USER2`
`static long` | `FAC_USER3`
`static long` | `FAC_USER4`

Fields inherited from class com.arjuna.common.util.logging.FacilityCode
`FAC_ALL, FAC_NONE`

Constructor Summary
`FacilityCode()`

Method Summary
`long` | `getLevel(java.lang.String level)`
`java.lang.String` | `printString(long level)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FAC_ATOMIC_ACTION

    public static final long FAC_ATOMIC_ACTION

See Also:
  Constant Field Values

### FAC_BUFFER_MAN

    public static final long FAC_BUFFER_MAN

See Also:
  Constant Field Values

### FAC_ABSTRACT_REC

    public static final long FAC_ABSTRACT_REC

See Also:
  Constant Field Values

### FAC_OBJECT_STORE

    public static final long FAC_OBJECT_STORE

See Also:
  Constant Field Values

### FAC_STATE_MAN

    public static final long FAC_STATE_MAN

See Also:
  Constant Field Values

### FAC_SHMEM

    public static final long FAC_SHMEM

See Also:
  Constant Field Values

### FAC_GENERAL

    public static final long FAC_GENERAL

See Also:
  Constant Field Values

### FAC_CRASH_RECOVERY

    public static final long FAC_CRASH_RECOVERY

See Also:
  Constant Field Values

### FAC_THREADING

    public static final long FAC_THREADING

See Also:
  Constant Field Values

### FAC_JDBC

    public static final long FAC_JDBC

See Also:
  Constant Field Values

### FAC_RECOVERY_NORMAL

    public static final long FAC_RECOVERY_NORMAL

See Also:
  Constant Field Values

### FAC_RESERVED1

    public static final long FAC_RESERVED1

See Also:
  Constant Field Values

### FAC_RESERVED2

    public static final long FAC_RESERVED2

See Also:
  Constant Field Values

### FAC_RESERVED3

    public static final long FAC_RESERVED3

See Also:
  Constant Field Values

### FAC_RESERVED4

    public static final long FAC_RESERVED4

See Also:
  Constant Field Values

### FAC_USER1

    public static final long FAC_USER1

See Also:
  Constant Field Values

### FAC_USER2

    public static final long FAC_USER2

See Also:
  Constant Field Values

### FAC_USER3

    public static final long FAC_USER3

See Also:
  Constant Field Values

### FAC_USER4

    public static final long FAC_USER4

See Also:
  Constant Field Values

Constructor Detail

### FacilityCode

    public FacilityCode()

Method Detail

### getLevel

    public long getLevel(java.lang.String level)

### printString

    public java.lang.String printString(long level)

  Returns:
    the string representation of the facility level. Note, this string is intended only for debugging purposes, and cannot be fed back into the debug system to obtain the facility level that it represents.
  Since:
    JTS 2.1.2.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD